Package ghidra.framework

# Class ApplicationConfiguration

java.lang.Object
ghidra.framework.ApplicationConfiguration

Direct Known Subclasses:
  `DockingApplicationConfiguration`, `HeadlessBSimApplicationConfiguration`, `HeadlessGhidraApplicationConfiguration`

public class ApplicationConfiguration extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `initializeLogging`
  `protected File`
  `logFile`
  `protected TaskMonitor`
  `monitor`
  `protected File`
  `scriptLogFile`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getApplicationLogFile()`
  Returns the user-defined log file.
  `ErrorDisplay`
  `getErrorDisplay()`
  `File`
  `getScriptLogFile()`
  Returns the user-defined script log file.
  `TaskMonitor`
  `getTaskMonitor()`
  Returns the currently set task monitor.
  `protected void`
  `initializeApplication()`
  For subclasses to do specific application initialization after all general application initialization occurs.
  `void`
  `installStaticFactories()`
  `boolean`
  `isHeadless()`
  Returns whether or not the application is headless.
  `boolean`
  `isInitializeLogging()`
  Returns whether or not logging is to be initialized.
  `void`
  `setApplicationLogFile(File logFile)`
  `void`
  `setInitializeLogging(boolean initializeLogging)`
  `void`
  `setScriptLogFile(File scriptLogFile)`
  `void`
  `setTaskMonitor(TaskMonitor monitor)`
  Sets a task monitor that will be called back with messages that report the status of the initialization process.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### monitor

    protected TaskMonitor monitor

  - ### initializeLogging

    protected boolean initializeLogging

  - ### logFile

    protected File logFile

  - ### scriptLogFile

    protected File scriptLogFile

- ## Constructor Details

  - ### ApplicationConfiguration

    public ApplicationConfiguration()

- ## Method Details

  - ### initializeApplication

    protected void initializeApplication()
    For subclasses to do specific application initialization after all general application initialization occurs.

  - ### isHeadless

    public boolean isHeadless()
    Returns whether or not the application is headless.
    Returns:
      true if the application is headless; otherwise, false.

  - ### getTaskMonitor

    public TaskMonitor getTaskMonitor()
    Returns the currently set task monitor.
    Returns:
      The currently set task monitor, which is by default a dummy monitor.

  - ### isInitializeLogging

    public boolean isInitializeLogging()
    Returns whether or not logging is to be initialized.
    Returns:
      True if logging is to be initialized; otherwise, false. This is true by default, but may be set to false by the user.
    See Also:
      - `setInitializeLogging(boolean)`

  - ### getApplicationLogFile

    public File getApplicationLogFile()
    Returns the user-defined log file.
    Returns:
      The user-defined log file. This is null by default and will only return a non-null value if it has been set by the user.

  - ### setTaskMonitor

    public void setTaskMonitor(TaskMonitor monitor)
    Sets a task monitor that will be called back with messages that report the status of the initialization process.
    Parameters:
      `monitor` - The monitor to set.

  - ### setInitializeLogging

    public void setInitializeLogging(boolean initializeLogging)

  - ### setApplicationLogFile

    public void setApplicationLogFile(File logFile)

  - ### getScriptLogFile

    public File getScriptLogFile()
    Returns the user-defined script log file.
    Returns:
      Returns the user-defined script log file. This is null by default and will only return a non-null value if it has been set by the user.

  - ### setScriptLogFile

    public void setScriptLogFile(File scriptLogFile)

  - ### installStaticFactories

    public void installStaticFactories()

  - ### getErrorDisplay

    public ErrorDisplay getErrorDisplay()